<template>
  <section id="portfolio" class="portfolio">
    <div class="container-fluid">
      <div class="grid">
        <div class="grid-item">
          <img src="https://images.pexels.com/photos/326496/pexels-photo-326496.jpeg?w=1260&h=750&auto=compress&cs=tinysrgb" />
          <div class="case-details">
            <h3>Workshop itaú</h3>
            <span class="case-details--client">Itáu Unibanco</span>
            <p>Lorem ipsum dolor sit amet.</p>
          </div>
        </div>
        <div class="grid-item" >
          <img src="https://mir-s3-cdn-cf.behance.net/project_modules/1400/6c834040593155.578551b3b0609.jpg" />
          <div class="case-details">
            <h3>Novos cursos 4Linux</h3>
            <span class="case-details--client">4Linux</span>
            <p>Lorem ipsum dolor sit amet.</p>
          </div>
        </div>
        <div class="grid-item">
          <img src="https://mir-s3-cdn-cf.behance.net/project_modules/1400/3a689237924081.57506f6e17bc4.png" />
          <div class="case-details">
            <h3>Website</h3>
            <span class="case-details--client">Wars</span>
            <p>Lorem ipsum dolor sit amet.</p>
          </div>
        </div>
        <div class="grid-item">
          <img src="https://mir-s3-cdn-cf.behance.net/project_modules/1400/956fbd47814499.588626c05d0de.jpg" />
          <div class="case-details">
            <h3>Website</h3>
            <span class="case-details--client">Pretorian</span>
            <p>Lorem ipsum dolor sit amet.</p>
          </div>
        </div>
        <div class="grid-item">
          <img src="https://mir-s3-cdn-cf.behance.net/project_modules/1400/19955532438777.5692e7982519f.jpg" />
          <div class="case-details">
            <h3>Identidade Visual</h3>
            <span class="case-details--client">Padaria Izidoro</span>
            <p>Lorem ipsum dolor sit amet.</p>
          </div>
        </div>
      </div>
    </div>
  </section>
</template>

<script>
  import Masonry from 'masonry-layout'
//  import imagesloaded from 'imagesloaded'
  import { getProjects } from '../services/projects'

  export default {
    name: 'portfolio',
    data () {
      return {
        collection: {
          latest_projects: []
        }
      }
    },
    methods: {
      fetchProject () {
        return getProjects()
          .then(collection => { this.collection = collection })
      }
    },
    mounted () {
      this.fetchProject()
      return new Masonry('.grid', {itemSelector: '.grid-item'})
    }
  }
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>

  @media screen and (min-width: 960px) {

  }

  #portfolio {
    background: rgba(23,20,27,1);
    height: 100vh;
    position: relative;
  }

  .portfolio:after {
    content: '';
    position: fixed;
    bottom: 0;
    width: 100%;
    height: 30%;
    z-index: 1;
    background: -moz-linear-gradient(top, rgba(23,20,27,0) 0%, rgba(23,20,27,0) 1%, rgba(23,20,27,1) 100%);
    background: -webkit-linear-gradient(top, rgba(23,20,27,0) 0%,rgba(23,20,27,0) 1%,rgba(23,20,27,1) 100%);
    background: linear-gradient(to bottom, rgba(23,20,27,0) 0%,rgba(23,20,27,0) 1%,rgba(23,20,27,1) 100%);
    filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#0017141b', endColorstr='#17141b',GradientType=0 );
  }

  .grid {
  }

  .case-details {
    display: none;
    position: absolute;
    padding: 20px;
    background: rgba(23,20,27,.9);
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    -webkit-transition: all linear .2s;
    -moz-transition: all linear .2s;
    -ms-transition: all linear .2s;
    -o-transition: all linear .2s;
    transition: all linear .2s;
  }

  .case-details h3 {
    font: 500 1.5rem 'Museo Slab';
    color: rgba(250,250,250,1);
  }

  .case-details .case-details--client {
    font: 500 1rem Museo Sans, sans-serif;
    color: #6AB556;
  }

  .case-details p {
    font: 500 1rem Museo Sans, sans-serif;
    color: rgba(250,250,250,.5);
  }

  .grid-item:hover .case-details {
    display: block;
  }

  /* ---- .grid-item ---- */

  .grid-item {
    max-width: 50%;
  }

  .grid-item {
    float: left;
  }

  .grid-item img {
    display: block;
    max-width: 100%;
    max-height: 100%;
  }
</style>
